#!/bin/sh
#
# A simple interactive alarm clock / "time to leave" program, 
# using getgui 2.01+ and ggutil (http://getgui.sf.net)
#
# getgui and ggutil must be available via your $PATH

ATIME=` getgui -horiz -keyin 5 -keymax 5 -msg "Enter alarm time\n(0:00 to 12:59)"  `
if [ "$ATIME" = "" ]; then
  exit
fi
AMIN=` ggtimeutil -tomin "$ATIME" `

# handle times 12:01 - 12:59
if [ $AMIN -gt 720 ]; then
  AMIN=` expr $AMIN - 720 `
fi

AMPM=` getgui -msg "Select one:"  -buttons "AM|PM" `


CURMIN=` ggtimeutil -minnow `

# adjust PM times
if [ "$AMPM" = "PM" ]; then
  AMIN=` expr $AMIN + 720 `
fi

SLEEPMIN=` expr $AMIN - $CURMIN `

if [ $SLEEPMIN -lt 0 ]; then
  ANS=`getgui "This alarm will go off tomorrow, not today" -buttons "OK|Cancel" `
  if [ "$ANS" = "Cancel" ]; then
    exit
  fi
  SLEEPMIN=` expr $SLEEPMIN + 1440 `
fi
  
MESSAGE=` getgui -msg "Enter a message, or just press Enter:" -keyin 30 `


getgui -sleepmin $SLEEPMIN  -msg "$MESSAGE"  &

echo "alarm set for $ATIME $AMPM .."
# echo "amin = $AMIN    curmin = $CURMIN    sleep for $SLEEPMIN minutes"
echo

